io.milvus.connection

## Class ClusterListener

- java.lang.Object
- - io.milvus.connection.ClusterListener

All Implemented Interfaces:
  Listener

    public class ClusterListener
    extends java.lang.Object
    implements Listener

Send heartbeat for a Milvus cluster healthy check.

### Constructor Summary

Constructors
Constructor and Description
`ClusterListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `heartBeat(ServerSetting serverSetting)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterListener

    public ClusterListener()

### Method Detail

#### heartBeat

    public java.lang.Boolean heartBeat(ServerSetting serverSetting)

Specified by:
  `heartBeat` in interface `Listener`